summaryrefslogtreecommitdiffstats
path: root/testing/icecast/icecast.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-10-29 14:05:15 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-10-29 14:05:15 +0000
commit4af401f41b5cd69b4b41d0640d232d0502a188ac (patch)
treea5c584cd90b2dc45754648e891340b2d1cc58af6 /testing/icecast/icecast.initd
parent4e307f139bef6d2f63b573f59da4e3376b9259e5 (diff)
downloadaports-4af401f41b5cd69b4b41d0640d232d0502a188ac.tar.bz2
aports-4af401f41b5cd69b4b41d0640d232d0502a188ac.tar.xz
testing/icecast: added init.d script from gentoo
Diffstat (limited to 'testing/icecast/icecast.initd')
-rw-r--r--testing/icecast/icecast.initd18
1 files changed, 18 insertions, 0 deletions
diff --git a/testing/icecast/icecast.initd b/testing/icecast/icecast.initd
new file mode 100644
index 00000000..b82e5cdd
--- /dev/null
+++ b/testing/icecast/icecast.initd
@@ -0,0 +1,18 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting Icecast 2"
+ start-stop-daemon --background --start --make-pidfile --pidfile /var/run/icecast.pid --exec /usr/bin/icecast -- -c /etc/icecast.xml
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Icecast 2"
+ start-stop-daemon --stop --pidfile /var/run/icecast.pid --name icecast
+ eend $?
+}